Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511856 - [abrt] gnome-shell: JSString::isPermanentAtom() const(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: JSString::isPermanentAtom() const(): gnome-shell killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:14307695de59278e61aeb209189...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 10:11 UTC by Arne
Modified: 2018-05-29 11:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:40:10 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-10 10:11 UTC, Arne
no flags Details
File: cgroup (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: core_backtrace (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: cpuinfo (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: dso_list (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: environ (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: exploitable (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: limits (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: maps (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: open_fds (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: proc_pid_status (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details
File: var_log_messages (deleted)
2017-11-10 10:12 UTC, Arne
no flags Details

Description Arne 2017-11-10 10:11:49 UTC
Description of problem:
playing a video with totem

Version-Release number of selected component:
gnome-shell-3.24.3-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: JSString::isPermanentAtom() const
executable:     /usr/bin/gnome-shell
journald_cursor: s=1d0a76bbba9a40d083fc5a834f18b27d;i=289cd;b=28414c48733a4a70af9aec552d0f7848;m=199a7830d;t=55d8c718d73f3;x=c77689461929a263
kernel:         4.13.11-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 JSString::isPermanentAtom() const at /usr/src/debug/mozilla-esr38/js/src/vm/String.h:445
 #1 JSAtom::isPermanent() const at /usr/src/debug/mozilla-esr38/js/src/vm/String.h:939
 #2 ThingIsPermanentAtom<js::PropertyName>(js::PropertyName*) at /usr/src/debug/mozilla-esr38/js/src/gc/Marking.cpp:150
 #3 MarkInternal<js::PropertyName>(JSTracer*, js::PropertyName**) at /usr/src/debug/mozilla-esr38/js/src/gc/Marking.cpp:277
 #4 js::gc::MarkUnbarriered<js::PropertyName>(JSTracer*, js::PropertyName**, char const*) at /usr/src/debug/mozilla-esr38/js/src/gc/Marking.cpp:310
 #5 js::gc::MarkStringUnbarriered(JSTracer*, js::PropertyName**, char const*) at /usr/src/debug/mozilla-esr38/js/src/gc/Marking.cpp:614
 #6 js::Bindings::trace(JSTracer*) at /usr/src/debug/mozilla-esr38/js/src/jsscript.cpp:328
 #7 JSScript::markChildren(JSTracer*) at /usr/src/debug/mozilla-esr38/js/src/jsscript.cpp:3433
 #8 js::gc::MarkChildren at /usr/src/debug/mozilla-esr38/js/src/gc/Marking.cpp:1344
 #9 PushMarkStack at /usr/src/debug/mozilla-esr38/js/src/gc/Marking.cpp:1089

Comment 1 Arne 2017-11-10 10:11:58 UTC
Created attachment 1350391 [details]
File: backtrace

Comment 2 Arne 2017-11-10 10:12:00 UTC
Created attachment 1350392 [details]
File: cgroup

Comment 3 Arne 2017-11-10 10:12:03 UTC
Created attachment 1350393 [details]
File: core_backtrace

Comment 4 Arne 2017-11-10 10:12:05 UTC
Created attachment 1350394 [details]
File: cpuinfo

Comment 5 Arne 2017-11-10 10:12:08 UTC
Created attachment 1350395 [details]
File: dso_list

Comment 6 Arne 2017-11-10 10:12:10 UTC
Created attachment 1350396 [details]
File: environ

Comment 7 Arne 2017-11-10 10:12:12 UTC
Created attachment 1350397 [details]
File: exploitable

Comment 8 Arne 2017-11-10 10:12:14 UTC
Created attachment 1350398 [details]
File: limits

Comment 9 Arne 2017-11-10 10:12:19 UTC
Created attachment 1350399 [details]
File: maps

Comment 10 Arne 2017-11-10 10:12:21 UTC
Created attachment 1350400 [details]
File: open_fds

Comment 11 Arne 2017-11-10 10:12:23 UTC
Created attachment 1350401 [details]
File: proc_pid_status

Comment 12 Arne 2017-11-10 10:12:25 UTC
Created attachment 1350402 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 08:13:39 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:40:10 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.